wibble::TransformedRange< Transform > Struct Template Reference

`#include <range.h>`

Inheritance diagram for wibble::TransformedRange< Transform >:
[legend]
Collaboration diagram for wibble::TransformedRange< Transform >:
[legend]

## Public Types

typedef Transform::argument_type | Source
typedef Transform::result_type | Result
Public Types inherited from wibble::RangeMixin< Transform::result_type, TransformedRange< Transform > >
typedef TransformedRange< Transform > | RangeImplementation
typedef Transform::result_type | ElementType
typedef IteratorMixin< Transform::result_type, TransformedRange< Transform > > | Base
typedef RangeIterator< TransformedRange< Transform > > | iterator

## Public Member Functions

| TransformedRange (Range< Source > r, Transform t)
bool | operator<= (const TransformedRange &o) const
Result | head () const
void | removeFirst ()
void | setToEmpty ()
Public Member Functions inherited from wibble::RangeMixin< Transform::result_type, TransformedRange< Transform > >
const TransformedRange< Transform > & | self () const
iterator | begin () const
iterator | end () const
Transform::result_type | head ()
TransformedRange< Transform > | tail () const
void | output (Consumer< Transform::result_type > t) const
bool | empty () const
| ~RangeMixin ()
Public Member Functions inherited from wibble::mixin::Comparable< TransformedRange< Transform > >
const TransformedRange< Transform > & | cmpSelf () const
bool | operator!= (const TransformedRange< Transform > &o) const
bool | operator== (const TransformedRange< Transform > &o) const
bool | operator< (const TransformedRange< Transform > &o) const
bool | operator> (const TransformedRange< Transform > &o) const
bool | operator>= (const TransformedRange< Transform > &o) const

## Protected Attributes

Range< Source > | m_range
Transform | m_transform

## Member Typedef Documentation

## Result

template<typename Transform>

typedef Transform::result_type wibble::TransformedRange< Transform >::Result

## Source

template<typename Transform>

typedef Transform::argument_type wibble::TransformedRange< Transform >::Source

## Constructor & Destructor Documentation

## TransformedRange()

template<typename Transform>

wibble::TransformedRange< Transform >::TransformedRange | ( | Range< Source > | r,
|  | Transform | t
| ) |  |

inline

## Member Function Documentation

## head()

template<typename Transform>

Result wibble::TransformedRange< Transform >::head | ( |  | ) | const

inline

References wibble::RangeIterator< R >::m_range.

## operator<=()

template<typename Transform>

bool wibble::TransformedRange< Transform >::operator<= | ( | const TransformedRange< Transform > & | o | ) | const

inline

References wibble::RangeIterator< R >::m_range, and wibble::TransformedRange< Transform >::m_range.

## removeFirst()

template<typename Transform>

void wibble::TransformedRange< Transform >::removeFirst | ( |  | ) |

inline

References wibble::RangeIterator< R >::m_range.

## setToEmpty()

template<typename Transform>

void wibble::TransformedRange< Transform >::setToEmpty | ( |  | ) |

inline

References wibble::RangeIterator< R >::m_range.

## Member Data Documentation

## m_range

template<typename Transform>

Range< Source > wibble::TransformedRange< Transform >::m_range

protected

Referenced by wibble::TransformedRange< Transform >::operator<=().

## m_transform

template<typename Transform>

Transform wibble::TransformedRange< Transform >::m_transform

protected

The documentation for this struct was generated from the following file:

- range.h